kdenlive 0.9.2 can't see installed ffmpeg (openSUSE 12.2)

Hi,
After updating system to new openSUSE 12.2 I installed kdenlive 0.9.2 as usually.
But now kdenlive can't find module Avformat (ffmpeg). FFmpeg is installed in my system! I nothing understand... Maybe somebody knows what to do?

What do you mean "I installed kdenlive 0.9.2 as usually" ? did you use your distro package? The problem is probably in your MLT install. Maybe try to uninstall and re-install MLT, and make sure you don't have several MLT versions installed.

I have OpenSuse 12.2 64 bit. I installed MLT and Kdenlive from source yesterday.
Today I ran a quick test of 1 video file with a Title on top, rendered to a DVD vob.

It worked for me just fine.

I made a list of dependencies required. Some of the OpenSuse packages have different names than what is listed on this site. My list isn't polished. The lines with ??? I didn't find. There are also some dupes between the MLT and Kdenlive lists, but this is good enough for you to get started. They were created from
kdenlive.org/user-manual/downloading-and-installing-kdenlive/installing-source/installing-required-libraries
kdenlive.org/user-manual/downloading-and-installing-kdenlive/installing-source/installing-mlt-rendering-engine

========================
MLT Dependencies
========================
git

libxml2-devel
libsdl-devel
libsdl_image-devel
????? libavdevice-dev
????? libswscale-dev
libvorbis-devel
libsamplerate-devel
frei0r-plugins-devel
libdv-devel
libffmpeg-devel
libquicktime-devel

sox-devel
libjack-devel
ladspa-devel

gtk2-devel
libqimageblitz-devel
libswfdec-devel

===========================================
KDENLIVE Dependencies
===========================================
libqt4-devel
libkde4-devel
libsdl-devel
libsdl_image-devel
libxml2-devel
libx264-devel
libtheora-devel
libxvidcore-devel
libogg-devel
libvorbis-devel
schroedinger-devel
libmp3lame-devel
libfaac-devel
libfaad-devel
libgsm-devel
libopencore-amr-devel
libsamplerate-devel
libjack-devel
sox-devel
ladspa-devel
??? swh-plugins
libmad-devel
pango-devel

================
subversion
git
cmake
??? build-essential
yasm

======================
recordmydesktop

======================
dvgrab
libdv (libdv4-dev)
libdc1394 (libdc1394-22-dev)

======================
libqjson-devel
libv4l-devel
ffmpeg
xine

Did not need to install from source and everything was working fine before on 12.1 64bit. Now after upgrade to 12.2 have the same problem as alaskan.

Do you mean to install just kdenlive and mlt from source and all other dependencies from binary? (Would still prefer to get proper binary that will work fine)

vitoriung,

Yes. I installed MLT and Kdenlive from source and everything else was from YAST.

I just got in to the habit of installing from source for kdenlive and mlt. The binaries didn't keep up with the changes enough for me.

When I first thought to try it and bite the bullet it seemed like a huge hurdle.
Now it isn't so tough. I have a process that works for me. The biggest challenge is getting the first-time install dependencies. After that it is simple and I have the latest-and-greatest with all the bell-and-whistles.

I really like kdenlive and I hope it continues to just get better and better.

Installing from source is not recommended unless you are an experienced user. Can you try MLT's command line player from a terminal:

melt myclip.mpg

If it doesn't play the clip, means there is a problem with the MLT package and you shoud contact the package maintainer

Pages